=== src/plugins/renderplugins/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from renderplugins.pro.

add_subdirectory(scene2d)
