=== tests/benchmarks/render/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from render.pro.

if(QT_FEATURE_private_tests)
    add_subdirectory(jobs)
    add_subdirectory(layerfiltering)
    add_subdirectory(materialparametergathering)
    add_subdirectory(opengl)
endif()
