=== debian/changelog ===
qt6-3d (6.8.3+dfsg-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:31:44 -0500
