=== tests/auto/render/shadergraph/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from shadergraph.pro.

if(QT_FEATURE_private_tests)
    add_subdirectory(qshadergenerator)
    add_subdirectory(qshadergraph)
    add_subdirectory(qshadergraphloader)
    add_subdirectory(qshadernodes)
    add_subdirectory(qshadernodesloader)
endif()
