=== debian/changelog ===
qt6-3d (6.9.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Install missing cmake-files.
  * Update d/copyright.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Aug 2025 01:33:40 +0200

qt6-3d (6.9.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Aug 2025 01:22:44 +0200
